Bug 1162 - linuxconf doesn't see aliasing support under kernel 2.2.0
linuxconf doesn't see aliasing support under kernel 2.2.0
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: linuxconf (Show other bugs)
5.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-02-14 17:48 EST by wendigo
Modified: 2008-05-01 11:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-04-09 21:49:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description wendigo 1999-02-14 17:48:23 EST
# linuxconf --hint netdev
DEV_UP=""
DEV_RECONF=""
DEV_DOWN=""
Error
No kernel support for devices aliasingDEV_RECONF_ALIASES=""

# ifconfig -a
eth0      Link encap:Ethernet  HWaddr 00:60:97:1E:17:43
          inet addr:207.207.205.225  Bcast:207.207.205.239
Mask:255.255.255.240
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:1676 errors:0 dropped:0 overruns:0
frame:0
          TX packets:4436 errors:0 dropped:0 overruns:0
carrier:0
          collisions:0 txqueuelen:100
          Interrupt:10 Base address:0x300

eth0:0    Link encap:Ethernet  HWaddr 00:60:97:1E:17:43
          inet addr:207.207.205.226  Bcast:207.207.205.239
Mask:255.255.255.240
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          Interrupt:10 Base address:0x300

eth0:1    Link encap:Ethernet  HWaddr 00:60:97:1E:17:43
          inet addr:207.207.205.227  Bcast:207.207.205.239
Mask:255.255.255.240
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          Interrupt:10 Base address:0x300

eth0:2    Link encap:Ethernet  HWaddr 00:60:97:1E:17:43
          inet addr:207.207.205.234  Bcast:207.207.205.239
Mask:255.255.255.240
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          Interrupt:10 Base address:0x300

eth0:3    Link encap:Ethernet  HWaddr 00:60:97:1E:17:43
          inet addr:207.207.205.238  Bcast:207.207.205.239
Mask:255.255.255.240
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          Interrupt:10 Base address:0x300

lo        Link encap:Local Loopback
          inet addr:127.0.0.1  Mask:255.0.0.0
          UP LOOPBACK RUNNING  MTU:3924  Metric:1
          RX packets:541 errors:0 dropped:0 overruns:0
frame:0
          TX packets:541 errors:0 dropped:0 overruns:0
carrier:0
          collisions:0 txqueuelen:0

ppp0      Link encap:Point-to-Point Protocol
          inet addr:207.207.205.225  P-t-P:10.137.0.254
Mask:255.255.255.255
          UP POINTOPOINT RUNNING NOARP MULTICAST  MTU:1500
Metric:1
          RX packets:4065 errors:63 dropped:0 overruns:0
frame:63
          TX packets:4047 errors:0 dropped:0 overruns:0
carrier:0

# uname -a
Linux deathstar.jabberwock.org 2.2.0 #1 SMP Sun Feb 14
01:53:29 EST 1999 i686 unknown

          collisions:0 txqueuelen:10
Comment 1 betka 1999-02-24 10:33:59 EST
A very bad hack of a fix is to comment out all the linuxconf stuff in
/etc/sysconfig/network-scripts/ifup-aliases (lines 10-38,47) to go
back to the old way of bringing up aliases. This requires twidling
all the ifup scripts to pass along the ONBOOT variable to handle
aliases that you don't want brought up on boot.
Comment 2 Michael K. Johnson 1999-04-09 21:49:59 EDT
Fixed in linuxconf-1.14

Note You need to log in before you can comment on or make changes to this bug.